#pragma once

namespace Utils {
	class String {
	public:
		static auto toLowercase(std::string&) -> void;
		static auto toUppercase(std::string&) -> void;
		static auto toUppercaseFirst(std::string&) -> void;
		static auto isInvalidChar(char) -> bool;
		static auto removeSymbols(std::string) -> std::string;
		static auto removeToEscape(std::string)->std::string;
		static auto removeSpace(std::string) -> std::string;
		static auto substrSpace(std::string str) -> std::string;
		static auto getFontWidthDirect(std::string, int) -> float;
		static auto toWstring(std::string str) -> std::wstring;
		static auto toString(std::wstring wstr) -> std::string;
		static auto splitUtf8(std::string& str) -> std::vector<std::string>;

		static auto setClipboardText(std::string text) -> void;
	};
}
